/////////////////////////////////////////////////////////
// Test_Me Test

////////////////////////////////////////////////////////
// BOOST TEST
#pragma warning( disable : 4267 )

#include <boost/test/unit_test.hpp>
#include <boost/test/floating_point_comparison.hpp>
#include <boost/test/included/unit_test_framework.hpp>

// BOOST
#include <boost/lexical_cast.hpp>

// STL
#include <functional>
#include <iostream>
#include <memory>

#pragma warning( default : 4267 )

using namespace boost::unit_test;
using boost::test_toolbox::close_at_tolerance;

namespace Helpers
{
	// HELPERS FOR TESTING GO HERE
	
}; // namespace Helpers


namespace Tests
{ 
	void Test_Me()
	{
		// TODO - WRITE TEST USING THE BOOST CHECK FUNCTIONS
		BOOST_CHECKPOINT("TEST CHECK POINT " );
		BOOST_CHECK( 1==0);						// this is a check
		BOOST_ERROR( "this is an error");
		
	}

}; // namespace Tests


struct Test_Me_test_suite : public test_suite 
{
    Test_Me_test_suite() : test_suite(std::string("Me_test_suite")) 
    {
		// Create Test Cases
        test_case* Me_test_case   = BOOST_TEST_CASE( &Tests::Test_Me );

		// Add test cases to suite
		add( Me_test_case,	0 );
	}
};

// Intialize the Test Suites
test_suite*
init_unit_test_suite( int argc, char * argv[] ) 
{
    // Create a Test Suite
    std::auto_ptr<test_suite> test( BOOST_TEST_SUITE( "Me Unit Test Suite" ) );

    try 
    {													   
        test->add( new Test_Me_test_suite( ) );
    }
    catch( boost::bad_lexical_cast& ) 
    {
        return (test_suite*)0;
    }

    return test.release();
}
